#

Function VECTORP

Syntax:

vectorp object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type vector; otherwise, returns false.

Examples:

     (vectorp "aaaaaa") =>  true
     (vectorp (make-array 6 :fill-pointer t)) =>  true
     (vectorp (make-array '(2 3 4))) =>  false
     (vectorp #*11) =>  true
     (vectorp #b11) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

     (vectorp object) ==  (typep object 'vector)

Copyright 1996-2001, Xanalys Inc. All rights reserved.